Online Tutorials & Training Materials | STechies.com
Register Login

Install SAP Fiori-related products that require SAP Fiori front-end server 2.0

|| || 0

Install SAP Fiori-related products that require SAP Fiori front-end server 2.0
Stechies

SAP Fiori front-end server 2.0 is a product version containing the SAP Technology product versions that are required to run SAP Fiori scenarios on an ABAP on-premise front-end server.

Solution:

SAP Fiori front-end server 2.0 is a product version containing the SAP technology product versions that are required to run SAP Fiori scenarios on an ABAP on-premise front-end server. It provides a logical umbrella for the following:

  • the UI development toolkit for HTML5 (SAPUI5) framework and the components to run the SAP Fiori launchpad on the ABAP stack, the SAP Gateway core components on the ABAP stack,
  • SAP Fiori Implementation Foundation,
  • SAP Fiori Basis Apps (available only with SAP NetWeaver 7.5 or higher).
  • SAP Fiori front-end server 2.0 does not provide any new technical components, it has been created to define the exact stacks required for SAP Fiori application versions - and thereby simplify customer consumption.

The SAP Fiori front-end server is being referenced by SAP Fiori application product versions designed to run on the SAP Fiori front-end server ABAP stack. During the installation preparation with the maintenance planner, dependencies from applications to SAP Fiori front-end server 2.0 are automatically resolved, and further, the dependencies from SAP Fiori front-end server 2.0 to underlying product versions and software components versions are also resolved. During the installation with the maintenance planner, only missing product versions or software component versions will be installed.

SAP Fiori front-end server 2.0 currently supports three basis stacks: SAP NetWeaver 7.31, SAP NetWeaver 7.4, and SAP NetWeaver 7.5. Features increase with SAP NetWeaver releases and some Fiori application product versions may require the NetWeaver release level higher than 7.31. These application product versions will maintain their NetWeaver release dependency in addition to the SAP Fiori front-end server 2.0 dependency.

SAP Fiori front-end server 2.0 does not make any further assumptions on the ABAP stack it is running on. Any existing dependencies or limitations of installed product versions and software components versions still apply.

It can run on a dedicated front-end server system (the hub deployment) or on an existing ERP system (the embedded deployment). SAP generally recommends the hub deployment option.

SAP Fiori front-end server 2.0 does not define any dependencies to non-ABAP components (for example related to SAP HANA, SAP HANA extended application services)

Update to SPS01 requires workaround in Maintenance Planner

During update of Fiori application packages (Example: FIORI APPROVE REQUESTS X1 1.0 to FIORI APPROVE REQUESTS X1 2.0) using Fiori front-end server 2.0 SPS01, the Maintenance Planner might offer the SPS00/Initial Shipment Stack (ISS) only instead of SPS01. This will be fixed in the Maintenance Planner tool as soon as possible. For now, please proceed to update by applying iterative planning:

1) First select the initial shipment stack of Fiori Front End Server 2.0 and click on “Confirm”.
2) Then click on “Install or Maintain Add-on” and select SPS01 of the same add-on and click on “Confirm”.
3) After confirmation of second planning step you can see SPS01 will get applied to target system state.


Related Articles